Metadata-Version: 2.1
Name: aasalert
Version: 0.4
Summary: Search the AAS Job Register.
Home-page: https://github.com/AlecThomson/aasjobalert
Author: Alec Thomson
Author-email: alec.thomson@anu.edu.au
License: MIT License
Platform: UNKNOWN
Classifier: License :: OSI Approved :: MIT License
Classifier: Programming Language :: Python
Classifier: Programming Language :: Python :: 3
Classifier: Programming Language :: Python :: 3.6
Classifier: Programming Language :: Python :: Implementation :: CPython
Classifier: Intended Audience :: Science/Research
Classifier: Topic :: Scientific/Engineering :: Astronomy
Classifier: Development Status :: 3 - Alpha
Requires-Python: >=3.6.0
Description-Content-Type: text/markdown
Requires-Dist: bs4
Requires-Dist: requests
Requires-Dist: datetime


# AASJobAlert

AASJobAlert is a Python script for checking the AAS Job Register.

Some code borrowed from this [tutorial](https://www.codementor.io/gergelykovcs/how-and-why-i-built-a-simple-web-scrapig-script-to-notify-us-about-our-favourite-food-fcrhuhn45#the-process-of-building-the-web-scrapig-script).

## Installation

Use the package manager [pip](https://pypi.org/) to install aasalert.

```bash
pip install aasalert
```

## Usage

```bash
usage: aasalert [-h] keyword

    Search the AAS job register for post-doc positions in the last year.


positional arguments:
  keyword     Keyword to search the AAS job register for.

optional arguments:
  -h, --help  show this help message and exit
```

This is best used as a cronjob for regular checks of AAS. We can use `mailx` to generate a email alert. For example:

```bash
crontab -e

00 00 * * 1 aasalert keyword 2>&1 | mailx -E -s "AAS Job Alert" your.email@address.com
```

See [this link](https://opensource.com/article/17/11/how-use-cron-linux) for examples of how to use crontab.

## Contributing
Pull requests are welcome.


## License
[MIT](https://choosealicense.com/licenses/mit/)


